Project

Profile

Help

Issue #3562

OL7 installation - ModuleNotFoundError: No module named 'pulp'

Added by vaclav.adamec@suchy-zleb.cz over 2 years ago. Updated over 1 year ago.

Status:
CLOSED - NOTABUG
Priority:
Normal
Assignee:
-
Category:
-
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
Platform Release:
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

I have two system, latest CentOS7 and OEL7. On CentOS all works as expected, but on OEL7 same installation and configs leads to this error (Apache error log).

ModuleNotFoundError: No module named 'pulp'

I know that OEL7 is not officially supported, but can you please advice ?

Python 2.7.5

pulp-bindings (2.16)
pulp-client-admin (2.16)
pulp-client-lib (2.16)
pulp-common (2.16)
pulp-docker-common (3.1.2)
pulp-docker-extensions-admin (3.1.2)
pulp-docker-plugins (3.1.2)
pulp-oid-validation (2.16)
pulp-puppet-common (2.16)
pulp-puppet-extensions-admin (2.16)
pulp-puppet-plugins (2.16)
pulp-repoauth (2.16)
pulp-rpm-common (2.16)
pulp-rpm-extensions-admin (2.16)
pulp-rpm-plugins (2.16)
pulp-server (2.16)
pulp-admin-client-2.16.0-1.el7.noarch
pulp-docker-admin-extensions-3.1.2-1.el7.noarch
pulp-docker-plugins-3.1.2-1.el7.noarch
pulp-puppet-admin-extensions-2.16.0-1.el7.noarch
pulp-puppet-plugins-2.16.0-1.el7.noarch
pulp-rpm-admin-extensions-2.16.0-1.el7.noarch
pulp-rpm-plugins-2.16.0-1.el7.noarch
pulp-selinux-2.16.0-1.el7.noarch
pulp-server-2.16.0-1.el7.noarch
python-isodate-0.5.0-4.pulp.el7.noarch
python-pulp-bindings-2.16.0-1.el7.noarch
python-pulp-client-lib-2.16.0-1.el7.noarch
python-pulp-common-2.16.0-1.el7.noarch
python-pulp-docker-common-3.1.2-1.el7.noarch
python-pulp-oid_validation-2.16.0-1.el7.noarch
python-pulp-puppet-common-2.16.0-1.el7.noarch
python-pulp-repoauth-2.16.0-1.el7.noarch
python-pulp-rpm-common-2.16.0-1.el7.noarch

History

#1 Updated by vaclav.adamec@suchy-zleb.cz over 2 years ago

OEL7 - Apache/2.4.29 (Red Hat) OpenSSL/1.0.2k-fips mod_wsgi/4.6.2 Python/3.6
CentOS7 - Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5 configured -- resuming normal operations

#2 Updated by vaclav.adamec@suchy-zleb.cz over 2 years ago

Fix:

yum install mod_wsgi
rpm -e python36u-mod_wsgi-4.6.2-1.ius.el7.x86_64

#3 Updated by dalley over 2 years ago

  • Status changed from NEW to CLOSED - NOTABUG
  • Triaged changed from No to Yes

#4 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF